Name:           florence
Version:        0.6.3
Release:        %mkrel 1
Summary:        Extensible scalable on-screen virtual keyboard
Group:          System/X11
License:        GPLv2+ and GFDL
URL:            http://florence.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
#------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atspi-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gstreamer0.10_0.10-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xcomposite-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xfixes-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xtst-devel
BuildRequires: libxml2-utils
BuildRequires: rarian
BuildRequires: x11-proto-devel
#------------------------------------------


%description
Florence is an extensible scalable virtual keyboard. 

It's designed for GNOME but can be used in any DE (without some features).

You need it if you can't use a real hardware keyboard, for 
example because you are disabled, your keyboard is broken or 
because you use a tablet PC, but you must be able to use a pointing 
device (as a mouse, a trackball or a touchscreen).

In GNOME Florence stays out of your way when you don't need it:
it appears on the screen only when you need it. 

A Timer-based auto-click functionality is available 
to help disabled people having difficulties to click.

If you have problems switching keyboard layout (language) in KDE4,
reconfigure layouts in KDE4 settings once and it should work.

%prep
%setup -q

sed -i 's|Icon=%{name}.svg|Icon=%{name}|g' data/%{name}.desktop.in.in

%build

#this is the only way it builds
./configure --prefix=/usr \
--libdir=%{_libdir} \
--without-notification \
--disable-static

make -j1


%install
rm -rf %buildroot
%makeinstall_std

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_datadir}/pixmaps/ 

install -p -m 0644 data/%{name}.svg %{buildroot}%{_datadir}/pixmaps/%{name}.svg

#remove uneeded development files
rm -rf %{buildroot}/%{_includedir}
rm -f %{buildroot}/%{_libdir}/libflorence-1.0.la
rm -f %{buildroot}/%{_libdir}/libflorence-1.0.so
rm -f %{buildroot}/%{_libdir}/pkgconfig/florence-1.0.pc


%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING COPYING-DOCS NEWS README 
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.*
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/glib-2.0/schemas/org.florence.gschema.xml
%{_mandir}/man1/florence.1.*
%{_mandir}/man1/florence_applet.1.*
%{_libdir}/libflorence-1.0.so.*


%changelog
* Sun May 03 2015 bb <bb> 0.6.3-1pclos2015
- import into pclos
